---
title: <display-listitem>
slug: Web/CSS/display-listitem
tags:
  - CSS
  - CSS Data Type
  - CSS Display
  - Data Type
  - Reference
  - display-listitem
  - list-item
---
<div>{{CSSRef}}</div>

<p class="summary">The <code style="white-space: nowrap;">list-item</code> keyword causes the element to generate a <code>::marker</code> pseudo-element with the content specified by its {{CSSxRef("list-style")}} properties (for example a bullet point) together with a principal box of the specified type for its own contents.</p>

<h2 id="Syntax">Syntax</h2>

<p>A single value of <code style="white-space: nowrap;">list-item</code> will cause the element to behave like a list item. This can be used together with {{CSSxRef("list-style-type")}} and {{CSSxRef("list-style-position")}}.</p>

<p><code style="white-space: nowrap;">list-item</code> can also be combined with any {{CSSxRef("&lt;display-outside&gt;")}} keyword and the <code>flow</code> or <code style="white-space: nowrap;">flow-root</code> {{CSSxRef("&lt;display-inside&gt;")}} keywords.</p>

<div class="note">
<p><strong>Note</strong>: In browsers that support the two-value syntax, if no inner value is specified it will default to <code>flow</code>. If no outer value is specified, the principal box will have an outer display type of <code>block</code>.</p>
</div>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html; notranslate">&lt;div class="fake-list"&gt;I will display as a list item&lt;/div&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css; notranslate">.fake-list {
  display: list-item;
  list-style-position: inside;
}
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples", "100%", 150)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Display', '#typedef-display-listitem', 'display-listitem')}}</td>
   <td>{{Spec2('CSS3 Display')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<h3 id="Support_of_list-item">Support of <code>list-item</code></h3>

<p>{{Compat("css.properties.display.list-item", 10)}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef("display")}}
  <ul>
   <li>{{CSSxRef("&lt;display-outside&gt;")}}</li>
   <li>{{CSSxRef("&lt;display-inside&gt;")}}</li>
   <li>{{CSSxRef("&lt;display-internal&gt;")}}</li>
   <li>{{CSSxRef("&lt;display-box&gt;")}}</li>
   <li>{{CSSxRef("&lt;display-legacy&gt;")}}</li>
  </ul>
 </li>
</ul>
